// 所有的字典类型typeCode都要在这里面写。

const DictDataUtil = {
  request_url:
      import.meta.env.VITE_APP_BASE_API + "/api/v1/sys/dictData/queryByType/",
  dept_tree_url: import.meta.env.VITE_APP_BASE_API + "/api/v1/sys/dept/orgTree",
  TYPE_CODE: {
    //订单类型
    plan_order_type: "plan_order_type",
    //订单优先级
    plan_order_priority: "plan_order_priority",
    //订单状态
    plan_order_state: "plan_order_state",
    //设备类型
    device_type: "device_type",
    //设备状态
    device_status: "device_status",
    //设备运行状态
    device_run_status: "device_run_status",
    //设备维护频率
    device_maintenance_cycle: "device_maintenance_cycle",
    //物料属性
    material_properties:"material_properties",
    //单位
    unit:"danwei_type",
    //物料级别
    material_level:"material_level",
    //质检方案
    quality_testing_plan:"quality_testing_plan",
    //适用平台
    applicable_platforms:"applicable_platforms",
    //质量等级
    quality_grade:"quality_grade",
    //选用类型
    selection_type:"selection_type",
    //阶段
    stage:"stage",
    //封装方法
    packaging_method:"packaging_method",
  },
  EXPAND_FIELD_TABLE: {
    //映射表列表
    expand_table_list: "expand_field_table",
    //订单计划表
    plan_order_info: "plan_order_info",
    //映射字段列表
    expand_field_list: "expand_field_list",
  },
};

export default DictDataUtil;
